function g = close( h, e )

%---------------------------------------------------------------------------
%   Close the loop on a statespace control system.
%   e relates y to u.
%   u = -ey
%---------------------------------------------------------------------------
%   Form:
%   g = close( h, e )
%---------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   h           (:)   Object of class statespace
%   e           (:)   Connection matrix
%
%   -------
%   Outputs
%   -------
%   g           (:)   Closed loop system
%
%---------------------------------------------------------------------------

%---------------------------------------------------------------------------
%   Copyright (c) 2000 Princeton Satellite Systems, Inc.
%   All rights reserved.
%---------------------------------------------------------------------------

g   = h;

if( isempty(e) )
  g.a = g.a - g.b*g.c;
else	
  g.a = g.a - g.b*e*g.c;
end

% PSS internal file version information
%--------------------------------------
% $Date: 2006-02-03 14:40:12 -0500 (Fri, 03 Feb 2006) $
% $Revision: 4799 $
