function [v, s] = eig( g )

%---------------------------------------------------------------------------
%   Get the eigenvalues of a statespace system.
%---------------------------------------------------------------------------
%   Form:
%   [v, s] = eig( g )
%---------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   e           (:)   Object of class statespace
%
%   -------
%   Outputs
%   -------
%   v           (:)   Eigenvectors
%   s           (:)   Eigenvalues
%
%---------------------------------------------------------------------------

%---------------------------------------------------------------------------
%  Copyright (c) 1999 Princeton Satellite Systems, Inc. 
%  All rights reserved.
%---------------------------------------------------------------------------

if( nargout < 2 )
  v = eig( g.a );
else
  [v, s] = eig( g.a );
end

% PSS internal file version information
%--------------------------------------
% $Date: 2006-02-03 14:40:12 -0500 (Fri, 03 Feb 2006) $
% $Revision: 4799 $
