
%-------------------------------------------------------------------------------
%   Models accelerometers. This model includes quantization, noise and a bias.
%-------------------------------------------------------------------------------
%   Form:
%   output = Accel( action, input )
%-------------------------------------------------------------------------------
%
%   ---------
%   Arguments
%   ---------
%   action         (1,:)    Action
%
%   action is 'update'
%   ------------------
%   input         (1,1)    Data structure
%                           .omega    (3,1) Inertial angular rates in the
%                                           body frame
%                           .omegaDot (3,1) Inertial angular acceleration in
%                                           the body frame
%                           .accel    (3,1) Sum of all forces (except gravity)
%                                           in the body frame
%   output        []
%
%   action is 'output'
%   ------------------
%   input         (1,1)    []
%   output        (3,1)    Accelerations
%
%   action is 'initialize'
%   ----------------------
%   input         (1,1)    Data structure
%                           .r        (3,1) Position wrt c.m.
%                           .u        (3,:) Unit vectors for the accelerometers
%                           .scale    (:)   Scale factor for the accelerometers
%                           .noise    (:,1) One sigma noise for the
%                                           accelerometers
%                           .bias     (:,1) Bias for the accelerometers 
%                           .lSB      (1,1) LSB for the accelerometers 
%   output        (3,1)    input
%
%
%-------------------------------------------------------------------------------