
%-------------------------------------------------------------------------------
%   Small angle errors between two quaternions.
%   This routine gives the correct sign when both vectors transform from 
%   frame a to frame b and frame b is the body frame. If the convention is 
%   reversed you must reverse the sign.
%-------------------------------------------------------------------------------
%   Form:
%   angle = QError( qRef, qMeas )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   qRef            (4,1)  Reference quaternion
%   qMeas           (4,1)  Measured quaternion
%
%   -------
%   Outputs
%   -------
%   angle           (3,1)  Vector of small angular errors (rad)
%
%-------------------------------------------------------------------------------