
%-------------------------------------------------------------------------------
%   Generate an orbit by propagating Keplerian elements.
%   If t is not 
%   entered it will plot one orbit. Only handles elliptical orbits.
%-------------------------------------------------------------------------------
%   Form:
%   [r, v, t] = RVFromKepler( elI, t, mu, tol )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   elI        (1,6) Elements vector [a,i,W,w,e,M] or structure
%   t          (1,:) Times from 0 to  (sec)
%   mu         (1,1) Gravitational parameter
%   tol        (1,1) Orbit propagation tolerance
%
%   -------
%   Outputs
%   -------
%   r          (3,:) Position vectors for times t
%   v          (3,:) Velocity vectors for times t
%   t          (1,:) Times at which r and v are calculated
%
%-------------------------------------------------------------------------------