
%---------------------------------------------------------------------------
%   Generate a step response. If no outputs are given it will plot.
%---------------------------------------------------------------------------
%   Form:
%   [y,x,t] = Step( g, iU, dT, nSim, inputType, statesFlag )
%---------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   g                      State space system of type statespace
%   iU           (n)       Input* optional, defaults to all
%   dT           (1)       Time step*
%   nSim         (1)       Number of steps*
%   inputType    (:)       'step', 'impulse', 'white noise'* optional,
%                             defaults to a step response.
%   statesFlag   (1)       Flag for plotting the states, optional.
%
%   -------
%   Outputs
%   -------
%   y           (p,m)      Step response
%   x           (n,m)      States
%   t           (1,m)      Time vector
%
%---------------------------------------------------------------------------